Bug 621635 - [abrt] crash in gourmet-0.15.4-1.fc12: sqlite.py:153:process:ValueError: empty string for float()
[abrt] crash in gourmet-0.15.4-1.fc12: sqlite.py:153:process:ValueError: empt...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:1949e844
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 13:35 EDT by David
Modified: 2010-12-03 07:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:56:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.87 KB, text/plain)
2010-08-05 13:35 EDT, David
no flags Details

  None (edit)
Description David 2010-08-05 13:35:34 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gourmet
comment: Was saving ingredients.
component: gourmet
executable: /usr/bin/gourmet
kernel: 2.6.32.16-150.fc12.i686
package: gourmet-0.15.4-1.fc12
reason: sqlite.py:153:process:ValueError: empty string for float()
release: Fedora release 12 (Constantine)

backtrace
-----
sqlite.py:153:process:ValueError: empty string for float()

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gourmet/reccard.py", line 1020, in save_cb
    self.current_rec = self.rg.rd.modify_rec(self.current_rec,newdict)
  File "/usr/lib/python2.6/site-packages/gourmet/backends/db.py", line 1047, in modify_rec
    retval = self.do_modify_rec(rec,dic)
  File "/usr/lib/python2.6/site-packages/gourmet/backends/db.py", line 1304, in do_modify_rec
    return self.do_modify(self.recipe_table,rec,dic)
  File "/usr/lib/python2.6/site-packages/gourmet/backends/db.py", line 1313, in do_modify
    qr = table.update(getattr(table.c,id_col)==getattr(row,id_col)).execute(**d)
  File "/usr/lib/python2.6/site-packages/sqlalchemy/sql/expression.py", line 1121, in execute
    return e._execute_clauseelement(self, multiparams, params)
  File "/usr/lib/python2.6/site-packages/sqlalchemy/engine/base.py", line 1209, in _execute_clauseelement
    return connection._execute_clauseelement(elem, multiparams, params)
  File "/usr/lib/python2.6/site-packages/sqlalchemy/engine/base.py", line 872, in _execute_clauseelement
    parameters=params
  File "/usr/lib/python2.6/site-packages/sqlalchemy/engine/base.py", line 938, in __create_execution_context
    return dialect.execution_ctx_cls(dialect, connection=self, **kwargs)
  File "/usr/lib/python2.6/site-packages/sqlalchemy/engine/default.py", line 173, in __init__
    self.parameters = self.__convert_compiled_params(self.compiled_parameters)
  File "/usr/lib/python2.6/site-packages/sqlalchemy/engine/default.py", line 230, in __convert_compiled_params
    param.append(processors[key](compiled_params[key]))
  File "/usr/lib/python2.6/site-packages/sqlalchemy/databases/sqlite.py", line 153, in process
    return type_(value)
ValueError: empty string for float()

Local variables in innermost frame:
type_: <type 'float'>
value: u''

How to reproduce
-----
1.N/A first time to error.
2.
3.
Comment 1 David 2010-08-05 13:35:36 EDT
Created attachment 436918 [details]
File: backtrace
Comment 2 Joseph O Morrow 2010-09-29 01:30:52 EDT
Package: gourmet-0.15.4-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Occurred when bringing up the "Key Editor"
Comment 3 Michael Vergallen 2010-10-16 21:29:40 EDT
Package: gourmet-0.15.4-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. just pasting ingredients into recipe
2.
3.
Comment 4 Bug Zapper 2010-11-03 07:14:12 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 07:56:44 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.